bitel.billing.server.gorod.bean

## Class TagManager

- java.lang.Object
- - bitel.billing.server.gorod.bean.TagManager

-     public class TagManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTag(java.lang.String tagTitle)`
    `void` | `deleteTag(int tagId)`
    `void` | `deleteTagFromContract(int cid, int tagId)`
    `Tag` | `getTagById(int tagId)`
    `Tag` | `getTagByID(int tagId)` Deprecated.
    `java.util.List<Tag>` | `getTagList()`
    `java.util.List<Tag>` | `getTagListForContract(int cid)`
    `java.util.Set<java.lang.Integer>` | `getTagSetForContract(int cid)`
    `void` | `linkTagToContract(int cid, int tagId)`
    `void` | `updateTag(Tag tag)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### TagManager

          public TagManager(java.sql.Connection con,
                            int mid)

  - ### Method Detail

    - #### getTagList

          public java.util.List<Tag> getTagList()

    - #### getTagListForContract

          public java.util.List<Tag> getTagListForContract(int cid)

    - #### getTagSetForContract

          public java.util.Set<java.lang.Integer> getTagSetForContract(int cid)

    - #### getTagById

          public Tag getTagById(int tagId)

    - #### getTagByID

          @Deprecated
          public Tag getTagByID(int tagId)

      Deprecated.
      Использовать `getTagById(int)`.
      Parameters:
        `tagId` -
      Returns:

    - #### updateTag

          public void updateTag(Tag tag)

    - #### addTag

          public void addTag(java.lang.String tagTitle)

    - #### deleteTag

          public void deleteTag(int tagId)

    - #### deleteTagFromContract

          public void deleteTagFromContract(int cid,
                                            int tagId)

    - #### linkTagToContract

          public void linkTagToContract(int cid,
                                        int tagId)